Loading...
Searching...
No Matches
RWBond Class Reference
Inheritance diagram for RWBond:

## Public Member Functions

| RWBond (RWMolecule *m, Index i)
Public Member Functions inherited from BondTemplate< RWMolecule >
| BondTemplate ()=default
bool | operator== (const BondTemplate< MoleculeType > &other) const
bool | operator!= (const BondTemplate< MoleculeType > &other) const
BondTemplate< MoleculeType > & | operator++ ()
BondTemplate< MoleculeType > & | operator-- ()
bool | isValid () const
MoleculeType * | molecule () const
Index | index () const
AtomType | getOtherAtom (Index index) const
Real | length () const
std::string | label () const
AtomType | atom1 () const
AtomType | atom2 () const
void | setOrder (unsigned char o)
unsigned char | order () const

## Additional Inherited Members

Public Types inherited from BondTemplate< RWMolecule >
using | MoleculeType
using | AtomType

The documentation for this class was generated from the following file:

- rwmolecule.h